--- old/usr/src/uts/common/fs/zfs/sys/unique.h	2015-11-02 01:49:40.207842795 +0100
+++ new/usr/src/uts/common/fs/zfs/sys/unique.h	2015-11-02 01:49:40.219649561 +0100
@@ -47,6 +47,12 @@
 /* Return a unique value, which equals the one passed in if possible. */
 uint64_t unique_insert(uint64_t value);
 
+/*
+ * Return B_TRUE if the passed value does not exist and is valid,
+ * B_FALSE otherwise
+ */
+boolean_t unique_valid(uint64_t value);
+
 /* Indicate that this value no longer needs to be uniquified against. */
 void unique_remove(uint64_t value);
 
